リストの取得

​

会社のバックグラウンド処理を返します。

必要なスコープ: background_jobs.read

Query Parameters

  • ページ番号(1 始まり)

  • 1 ページあたりの件数(最大 100)

Responses

  • application/json
  • application/json
  • application/json
Request Example for get/background-jobs
curl 'https://api.shiftoru.jp/background-jobs?page=1&per_page=10' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "string",
    "type": "schedule.generation",
    "name": "string",
    "status": "running",
    "progress": 0,
    "started_at": "2026-09-11T06:22:32.993Z",
    "ended_at": "2026-09-11T06:22:32.993Z",
    "updated_at": "2026-09-11T06:22:32.993Z",
    "result_summary": "string",
    "error_summary": "string",
    "triggered_by_type": "member"
  }
]